Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
88 Views

Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

COMMAND:

make test-x86-64

 

 

ERROR:

i++ counter.cpp  -march=x86-64 -o test-x86-64

error: unable to open output file 'counter4716.o': 'Error opening output file 'counter4716.o''

1 error generated.

HLS x86-64 compile FAILED.

Makefile:40: recipe for target 'test-x86-64' failed

make: *** [test-x86-64] Error 1

 

 

ISSUE:

 

I have no idea how to resolve it, or what is causing the error. The object file doesn't exist and I'm not sure why it's not being generated by the makefile, any suggestions on how to fix this error?

Tags (1)
0 Kudos
6 Replies
Highlighted
19 Views

Re: Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

Hi ,

Can you include the path to your include directory also like shown below, and also include additional compiler options 

as given below and let us know the results. 

i++ -I/home/YourPath/intelFPGA/18.1/hls/include --fpc --fp-relaxed --debug-log -v -march=x86-64 counter.cpp -o test-x86-64

Please try to run it from the terminal without including in the makefile , i.e directly and also including in the makefile. Please let us know the results of each.

Thanks and Regards

Anil

0 Kudos
Beginner
19 Views

Re: Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

Hi,

 

As requested I ran the command that you suggested with the given options and this is the result.

 

i++ -I/opt/intelFPGA/18.1/hls/include --fpc --fp-relaxed --debug-log -v -march=x86-64 counter.cpp -o test-x86-64

Target FPGA part name:  10AX115U1F45I1SG

Target FPGA family name: Arria 10

Target FPGA speed grade: -1

Analyzing counter.cpp

In file included from counter.cpp:1:

In file included from /opt/intelFPGA/18.1/hls/include/HLS/hls.h:11:

In file included from /opt/intelFPGA/18.1/hls/include/HLS/hls_internal.h:5:

In file included from /usr/lib/gcc/x86_64-linux-gnu/7.5.0/../../../../include/c++/7.5.0/queue:59:

In file included from /usr/lib/gcc/x86_64-linux-gnu/7.5.0/../../../../include/c++/7.5.0/deque:59:

/usr/lib/gcc/x86_64-linux-gnu/7.5.0/../../../../include/c++/7.5.0/bits/stl_algobase.h:59:10: fatal error: 

   'bits/c++config.h' file not found

#include <bits/c++config.h>

     ^

1 error generated.

HLS x86-64 compile FAILED.

 

I'm not sure about this issue and I've tried to google for it but it's not fixing the issue. Do you have any suggestions?

 

regards,

Mayank

0 Kudos
Highlighted
19 Views

Re: Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

Hi

Please let us know which OS version you are using and can you use another version of gcc and try reproducing the issue.

Thanks and Regards

Anil.

0 Kudos
Highlighted
Beginner
19 Views

Re: Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

Hi,

 

I'm using Ubuntu 18.04 Bionic and I shall try using gcc version 4 and try and reproduce the error, I don't know if that will have any impacts but we shall see.

 

Regards,

 

Mayank

0 Kudos
Highlighted
Beginner
19 Views

Re: Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

Hi Anil,

 

I've also seemed to find something relevant, whereby the installation guides you to use only gcc 4.4.7 compilers, but since they are back dated now is it possible to use a new compiler and could you tell me which one would be valid for the HLS Compiler version 18.1.

 

Regards,

 

Mayank

0 Kudos
Highlighted
19 Views

Re: Hi, I'm having some issues with regards to running the examples for the HLS compiler 18.1. I've installed all the prerequisites are expected and I'm just running the simple demo for counter and the error I'm getting is shown below:

Hi

You can try using an older version of Ubuntu and a supported version gcc , and that should solve the problem.

There are some methods available online to use the older gcc on newer OS versions.

For supported gcc versions , you can refer to the document for HLS compiler version 18.1

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/rn/archives/rn-hls-18-1.pdf

Thanks and Regards

Anil

0 Kudos